Bug 16241 - Move staff client CSS out of language directory
Summary: Move staff client CSS out of language directory
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 15883
Blocks: 16080 16242 16394
  Show dependency treegraph
 
Reported: 2016-04-11 17:16 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16241 - Move staff client CSS out of language directory (181.86 KB, patch)
2016-04-11 18:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16241 - Move staff client CSS out of language directory (179.68 KB, patch)
2016-04-12 17:49 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16241 - Move staff client CSS out of language directory (179.52 KB, patch)
2016-04-20 16:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16241 - Move staff client CSS out of language directory (3.14 KB, patch)
2016-04-25 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16241: Move staff client CSS out of language directory (3.20 KB, patch)
2016-04-25 15:23 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16241 - Move staff client CSS out of language directory (179.58 KB, patch)
2016-04-25 17:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16241: Move staff client CSS out of language directory (3.24 KB, patch)
2016-04-25 17:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-11 17:16:53 UTC
The staff client CSS files are not language-specific, and thus should be moved out of the language directory. They need not be duplicated for each translation.
Comment 1 Owen Leonard 2016-04-11 18:24:33 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-04-12 17:49:16 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2016-04-20 16:08:16 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-04-24 23:08:04 UTC
Overall this looks good, but I found a few files that refer en/css still:
koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt:<link rel="stylesheet" type="text/css" href="[% interface %]/[% theme %]/en/css/datatables.css" />
koha-tmpl/intranet-tmpl/prog/en/modules/tags/list.tt:<link rel="stylesheet" type="text/css" href="[% interface %]/[% theme %]/en/css/datatables.css" />
koha-tmpl/intranet-tmpl/prog/en/modules/tags/review.tt:<link rel="stylesheet" type="text/css" href="[% interface %]/[% theme %]/en/css/datatables.css" />
koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARC_compact.xsl:            <link href="/koha-tmpl/opac-tmpl/prog/en/css/xsl.css" rel="stylesheet" type="text/css" />
Comment 5 Owen Leonard 2016-04-25 12:34:30 UTC Comment hidden (obsolete)
Comment 6 Héctor Eduardo Castro Avalos 2016-04-25 15:23:13 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-04-25 17:06:18 UTC
Created attachment 50659 [details] [review]
[PASSED QA] Bug 16241 - Move staff client CSS out of language directory

The staff client CSS is not language-specific, so it can be moved out of
the en/ directory and thus not be duplicated for every translation.

In order to be able to have a generic path to the YUI CSS files, the YUI
directory is moved by this patch to the staff client's lib/ directory.

To test, apply the patch and visit various pages in the staff client.
Look in particular at pages which include more than the standard CSS.
For example:

- The staff client login page.
- The staff client home page.
- Patron -> Set permissions.
- The advanced cataloging editor.
- Acquisitions -> Vendor -> Basket groups.
- Tools -> News -> Edit news.
- Administration -> System preferences.

Revised: I intended for this to be built on top of Bug 15883. Now it is.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

On top of 15883
Works as described, all pages on test plan
No Errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2016-04-25 17:06:49 UTC
Created attachment 50660 [details] [review]
[PASSED QA] Bug 16241: Move staff client CSS out of language directory

This patch corrects CSS paths in three places I missed.

To test, apply this follow-up and:

- View the patron detail page. DataTables should be styled correctly.
- View the tag review page. DataTables should be styled correctly.
- From the tag review page, click any tag to see a list of titles with
  that tag. The DataTable on that page should be styled correctly.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as expected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Kyle M Hall 2016-04-29 13:56:36 UTC
Pushed to master for the 16.05 release. Thanks Owen!